Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Interface ITextEditorHelpContextIds

All Superinterfaces:
  IAbstractTextEditorHelpContextIds

public interface ITextEditorHelpContextIds
extends IAbstractTextEditorHelpContextIds

Help context IDs for the text editor.

This interface contains constants only; it is not intended to be implemented.

Field Summary
`static String` | `ADD_TASK_ACTION` Help context id for the Add Task action.
`static String` | `BOOKMARK_ACTION` Help context id for the "Add Bookmark" action.
`static String` | `TEXT_EDITOR` Id for the text editor.
`static String` | `TEXT_EDITOR_PREFERENCE_PAGE` Id for the text editor preference page.

Fields inherited from interface org.eclipse.ui.texteditor.IAbstractTextEditorHelpContextIds
`ACTION_POSTFIX, CLEAR_MARK_ACTION, CONVERT_LINE_DELIMITERS_TO_MAC, CONVERT_LINE_DELIMITERS_TO_UNIX, CONVERT_LINE_DELIMITERS_TO_WINDOWS, COPY_ACTION, COPY_LINES_ACTION, CUT_ACTION, CUT_LINE_ACTION, CUT_LINE_TO_BEGINNING_ACTION, CUT_LINE_TO_END_ACTION, DELETE_ACTION, DELETE_LINE_ACTION, DELETE_LINE_TO_BEGINNING_ACTION, DELETE_LINE_TO_END_ACTION, FIND_ACTION, FIND_INCREMENTAL_ACTION, FIND_INCREMENTAL_REVERSE_ACTION, FIND_NEXT_ACTION, FIND_PREVIOUS_ACTION, FIND_REPLACE_DIALOG, GOTO_LAST_EDIT_POSITION_ACTION, GOTO_LINE_ACTION, LOWER_CASE_ACTION, MOVE_LINES_ACTION, PASTE_ACTION, PREFIX, PRINT_ACTION, REDO_ACTION, REVERT_TO_SAVED_ACTION, SAVE_ACTION, SELECT_ALL_ACTION, SET_MARK_ACTION, SHIFT_LEFT_ACTION, SHIFT_RIGHT_ACTION, SMART_ENTER_ACTION, SWAP_MARK_ACTION, TOGGLE_INSERT_MODE_ACTION, UNDO_ACTION, UPPER_CASE_ACTION`

Field Detail

### TEXT_EDITOR_PREFERENCE_PAGE

    public static final String TEXT_EDITOR_PREFERENCE_PAGE

  Id for the text editor preference page. Value: `"org.eclipse.ui.text_editor_preference_page_context"`.

  See Also:
    Constant Field Values

### TEXT_EDITOR

    public static final String TEXT_EDITOR

  Id for the text editor. Value: `"org.eclipse.ui.text_editor_context"`.

  See Also:
    Constant Field Values

### BOOKMARK_ACTION

    public static final String BOOKMARK_ACTION

  Help context id for the "Add Bookmark" action. Value: `"org.eclipse.ui.bookmark_action_context"`

  Since:
    3.0

### ADD_TASK_ACTION

    public static final String ADD_TASK_ACTION

  Help context id for the Add Task action. Value: `"org.eclipse.ui.addTask_action_context"`

  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.